| Home | Libraries | People | FAQ | More

##### basic_stream_socket::basic_stream_socket (3 of 5 overloads)

Construct a `basic_stream_socket`, opening it and binding it to the given local endpoint.

    basic_stream_socket(
        boost::asio::io_service & io_service,
        const endpoint_type & endpoint);

This constructor creates a stream socket and automatically opens it bound to the specified endpoint on the local machine. The protocol used is the protocol associated with the given endpoint.

###### Parameters

io_service

  The `io_service` object that the stream socket will use to dispatch handlers for any asynchronous operations performed on the socket.

endpoint

  An endpoint on the local machine to which the stream socket will be bound.

###### Exceptions

boost::system::system_error

  Thrown on failure.